Description

If the layer is of type CurvePolygon, the inverted polygon renderer displays a message that this renderer type only works with Polygon and

MultiPolygon layers.

It would be nice, if CurvePolygon would be supported as well by segmentizing on the fly before using it in the geometry and rendering

operations.

Attached is sample data with one CurvePolygon - you can use http://webdienste.zugmap.ch/luftbild2011/service.svc/get as a WMS in the

same projection (aerial image) as a background for testing.

Associated revisions

Revision 8976c9de - 2016-06-23 04:09 PM - Hugo Mercier

Allow curved polygons to be inverted (fixes #15113)

Revision defd7388 - 2016-06-23 05:17 PM - Hugo Mercier

Merge pull request #3229 from mhugo/fix_15113

Allow curved polygons to be inverted (fixes #15113)

History

#1 - 2016-06-23 12:22 AM - Hugo Mercier

Hi,

I've just tried the inverted polygon renderer on a curvedpolygon and it seems to work fine.

The attached file only contains curved lines, not polygons ... am I missing something ?

#2 - 2016-06-23 01:35 AM - Giovanni Manghi

- Operating System deleted (all)

- Status changed from Open to Feedback

#3 - 2016-06-23 04:10 AM - Andreas Neumann

- File border_risch_curve_polygon.gpkg added
Im am sorry, it was the wrong data set - you are right, it was line data, but with WKB Type "Compound Curve".

The data I upload now is "Polygon" WKB Type "CurvePolygon".

You need a recent GDAL to load it correctly.

#4 - 2016-06-23 04:31 AM - Andreas Neumann

- File inverted_polygon_renderer_error_message.png added

In the attached png image you can see the error message I get with border_risch_curve_polygon.gpkg

#5 - 2016-06-23 04:55 AM - Hugo Mercier

Thanks.

I can reproduce.

After a quick look at the code, that should not be a big deal to fix

#6 - 2016-06-23 08:17 AM - Hugo Mercier

- Status changed from Feedback to Closed

Fixed in changeset commit:"defd7388bc612f0dd7c0a69f92fa27af09422357".

Files

circular_arcs_kt_zug.gpkg 1.63 MB 2016-06-22 Andreas Neumann

border_risch_curve_polygon.gpkg 55 KB 2016-06-23 Andreas Neumann

inverted_polygon_renderer_error_message.png 78.4 KB 2016-06-23 Andreas Neumann
